As long as you don't use an ATI video card for which Ubuntu Linux support is seriously broken...